# Fichero de arranque de Guadalinfo

# Borrado del directorio /home/usuario en cada arranque
# (No se borra el usuario del servidor)

#echo "Borrando contenido de directorio de usuario /home/usuario..."
#rm -rf /home/usuario/*

# Ajuste del reloj de hardware a partir de la hora del sistema
hwclock -w


# Activacin de las quotas de usuario
echo "Activando quotas de disco de usuario"
/usr/local/bin/cambiar_quota_usuario.sh usuario 1000
# Activacin de las quotas de todos
# echo "Activando quotas de disco de todos los usuarios"
# /usr/local/bin/cambiar_quota_a_todos.sh 1000

# Actualizaciones automticas durante el arranque

# Comprobacin de que hay conectividad
#ping -c 1 http.guadalinex.org 2> /dev/null > /dev/null
wget http://http.guadalinex.org/descargas/test/guadalinfo.dummy -o /dev/null -O /dev/null

if [ $? = "0" ]; then # Hay conectividad
# Actualizacin de la base de datos de paquetes
  echo "Actualizando base de datos de paquetes..."
  apt-get update

# Instalacin del metapaquete de actualizacin del servidor
  echo "Actualizando sistema..."
  apt-get install meta-guadalinfo-servidor

else # No hay conectividad
  echo "Actualizando sistema: no hay conectividad..."
fi
# Ejecucin de ntpdate para sincronizar la hora
/etc/init.d/ntpdate start

